Mailinglist Archive: opensuse-factory (428 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20191016 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Fri, 18 Oct 2019 01:02:25 +0000
  • Message-id: <157136054547.9267.14206430259946583768@go-agent-stagingbot-6>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20191016

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
autoyast2 (4.2.9 -> 4.2.10)
clazy (1.5 -> 1.6)
libstorage-ng (4.2.14 -> 4.2.16)
llvm9 (8.0.1 -> 9.0.0)
python-pygame
python-urwid
rubygem-rubocop (0.75.0 -> 0.75.1)
yast2 (4.2.24 -> 4.2.27)
yast2-add-on (4.2.7 -> 4.2.8)
yast2-http-server (4.2.2 -> 4.2.3)
yast2-installation (4.2.16 -> 4.2.17)
yast2-network (4.2.19 -> 4.2.23)
yast2-ntp-client (4.2.4 -> 4.2.5)
yast2-schema (4.2.3 -> 4.2.4)
yast2-security (4.2.3 -> 4.2.4)
yast2-storage-ng (4.2.46 -> 4.2.47)
yast2-trans (84.87.20190929.78c47708d4 -> 84.87.20191014.7227f0a5d8)
yast2-tune (4.2.0 -> 4.2.1)
yast2-update (4.2.6 -> 4.2.7)

=== Details ===

==== autoyast2 ====
Version update (4.2.9 -> 4.2.10)
Subpackages: autoyast2-installation

- Fix dependency for autoyast2-installation (bsc#1131235)
- 4.2.10

==== clazy ====
Version update (1.5 -> 1.6)

- Update to 1.6:
* New Checks:
- heap-allocated-small-trivial-type
- signal-with-return-value
- qproperty-type-mismatch, contributed by Jean-Michaël Celerier
* Removed level3. Moved all level3 checks to manual level.
* Fixed regressions with LLVM 9.0
* Minimum LLVM was bumped to 5.0
* Fixit infrastructure was overhauled
* Clazy no longer rewrites files directly, to avoid races
when parallel invocations change the same header.
* Clazy now exports a yaml file with the replacements, to be
applied with clang-apply-replacements.
* The way to enable code rewrite is now: -Xclang -plugin-arg-clazy
- Xclang export-fixes for clang or -export-fixes=somefile.yaml for
clazy-standalone
* All other fixit arguments and fixit env variables were removed
- Update cmake-clang-cpp.patch to make clazy build with both clang 8 and 9.

==== libstorage-ng ====
Version update (4.2.14 -> 4.2.16)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- Translated using Weblate (Chinese (Taiwan)) (bsc#1149754)
- 4.2.16
- merge gh#openSUSE/libstorage-ng#674
- cache luks activation information (for bsc#1129496)
- use password from LUKS activation for resize
- extended integration test
- fixed typos
- 4.2.15

==== llvm9 ====
Version update (8.0.1 -> 9.0.0)
Subpackages: libc++-devel libc++1 libc++abi-devel libc++abi1

- (Build)Require only python3-base instead of full python3 package,
the additional modules are not required. Helps shortening the
build dependency chain.
- Remove python3-* requires from lldb9 subpackage, and add it to
the bindings/pretty-printer subpackage (python3-lldb9).
- Add python3-base Requires to python3-clang subpackage
- Add dont-install-example-analyzer-plugins.patch: Remove example
analyzer plugins from install targets instead of deleting them.
- Add fix-module-test.patch: fix test instead of deleting it.
- Don't build static libc++ (with ThinLTO that's not useful anyway).
- Don't build libc++experimental.
- Don't package libc++abi.so with libc++-devel, it's already contained
in the (required) libc++abi-devel.
- Be more specific about files in libc++-devel.

==== python-pygame ====

- Add python-pygame-python38-import.patch from upstream to fix a build
failure with Python 3.8.
- Use autopatch macro rather than patch0, due to multiple patches.

==== python-urwid ====

- Replace %fdupes -s with plain %fdupes; hardlinks are better.

==== rubygem-rubocop ====
Version update (0.75.0 -> 0.75.1)

- Update to 0.75.1
[#]## Bug fixes
* [#7391](https://github.com/rubocop-hq/rubocop/issues/7391): Support pacman
formatter on Windows. ([@laurenball][])
* [#7407](https://github.com/rubocop-hq/rubocop/issues/7407): Make
`Style/FormatStringToken` work inside hashes. ([@buehmann][])
* [#7389](https://github.com/rubocop-hq/rubocop/issues/7389): Fix an issue
where passing a formatter might result in an error depending on what
character it started with. ([@jfhinchcliffe][])
* [#7397](https://github.com/rubocop-hq/rubocop/issues/7397): Fix extra
comments being added to the correction of
`Style/SafeNavigation`. ([@rrosenblum][])
* [#7378](https://github.com/rubocop-hq/rubocop/pull/7378): Fix heredoc edge
cases in `Layout/EmptyLineAfterGuardClause`. ([@gsamokovarov][])
* [#7404](https://github.com/rubocop-hq/rubocop/issues/7404): Fix a false
negative for `Layout/IndentAssignment` when multiple assignment with line
breaks on each line. ([@koic][])
[#]## Changes
* [#7410](https://github.com/rubocop-hq/rubocop/issues/7410):
`Style/FormatStringToken` now finds unannotated format sequences in `printf`
arguments. ([@buehmann][])
* [#6964](https://github.com/rubocop-hq/rubocop/issues/6964): Set default
`IgnoreCopDirectives` to `true` for `Metrics/LineLength`. ([@jdkaplan][])
[@laurenball]: https://github.com/laurenball
[@buehmann]: https://github.com/buehmann
[@jfhinchcliffe]: https://github.com/jfhinchcliffe
[@rrosenblum]: https://github.com/rrosenblum
[@gsamokovarov]: https://github.com/gsamokovarov
[@koic]: https://github.com/koic
[@jdkaplan]: https://github.com/jdkaplan

==== yast2 ====
Version update (4.2.24 -> 4.2.27)
Subpackages: yast2-logs

- Fixed evaluating the available package versions, fixed crash
when trying to download a non-existing package (bsc#1151824)
- 4.2.27
- Remove old values from /etc/sysctl.conf (jsc#SLE-9077).
- 4.2.26
- Add a CFA based class to adjust sysctl settings (jsc#SLE-9077).
- 4.2.25

==== yast2-add-on ====
Version update (4.2.7 -> 4.2.8)

- Display the human readable product names in the summary dialog
(bsc#1153663)
- 4.2.8

==== yast2-http-server ====
Version update (4.2.2 -> 4.2.3)

- Add tests for the previous fix (bsc#1148763, bsc#1145538)
- 4.2.3

==== yast2-installation ====
Version update (4.2.16 -> 4.2.17)

- fix crash when os-release contain empty value (bsc#1139518)
- 4.2.17

==== yast2-network ====
Version update (4.2.19 -> 4.2.23)

- Fix crash caused by type in widget method (caused in 4.2.22 by
rubocop done as side-effect of bsc#1153673 fix)
- 4.2.23
- bsc#1153673
- Fix Yast::Logger dependency in bridge connection config.
- 4.2.22
- Update reference in VLAN, Bridge or Bond when its device is
removed or renamed (bsc#1153460)
- 4.2.21
- Place sysctl settings in /etc/sysctl.d/ (jsc#SLE-9077).
- 4.2.20
- AutoYaST: Added back the activation of s390 devices during the
first stage as it was removed when switched to the new data model

==== yast2-ntp-client ====
Version update (4.2.4 -> 4.2.5)

- switch from cron to systemd timers (jsc#SLE-9113)
- 4.2.5

==== yast2-schema ====
Version update (4.2.3 -> 4.2.4)

- Update yast2-bootloader dependency to support secure_boot flag
(jsc#SLE-8787)
- 4.2.4

==== yast2-security ====
Version update (4.2.3 -> 4.2.4)

- Place sysctl settings in /etc/sysctl.d/ (jsc#SLE-9077).
- 4.2.4

==== yast2-storage-ng ====
Version update (4.2.46 -> 4.2.47)

- Added translation for new enum value RB_PASSWORD_REQUIRED
(bsc#1153871).
- 4.2.47

==== yast2-trans ====
Version update (84.87.20190929.78c47708d4 -> 84.87.20191014.7227f0a5d8)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en yast2-trans-en_GB
yast2-trans-en_US yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi
yast2-trans-fr yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr
yast2-trans-hu yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv
yast2-trans-ka yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt
yast2-trans-mk yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa
yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru
yast2-trans-si yast2-trans-sk yast2-trans-sr yast2-trans-sv yast2-trans-ta
yast2-trans-th yast2-trans-tr yast2-trans-uk yast2-trans-vi yast2-trans-wa
yast2-trans-xh yast2-trans-zh_CN yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20191014.7227f0a5d8:
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Slovak)
* Translated using Weblate (Dutch)
* Translated using Weblate (Japanese)
* Translated using Weblate (Czech)
* Translated using Weblate (Catalan)
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Chinese (Taiwan))
* New POT for text domain 'update'.
* New POT for text domain 'storage'.
* New POT for text domain 'registration'.
* New POT for text domain 'add-on'.
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* Translated using Weblate (Slovak)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Dutch)
* Translated using Weblate (Japanese)
* Translated using Weblate (Indonesian)
* Translated using Weblate (German)
* Translated using Weblate (Czech)
* Translated using Weblate (Catalan)
* New POT for text domain 'network'.
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* Translated using Weblate (German)
* Translated using Weblate (German)
* New POT for text domain 'vpn'.
* New POT for text domain 'security'.
* New POT for text domain 'network'.
* Translated using Weblate (German)
* Translated using Weblate (German)
- Update to version 84.87.20191007.e7b1c5b4d2:
* Translated using Weblate (Finnish)
* Translated using Weblate (Albanian)
* Translated using Weblate (Albanian)
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* Translated using Weblate (Finnish)
* Translated using Weblate (Slovak)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Czech)
* Translated using Weblate (Slovak)
* Translated using Weblate (Japanese)
* Translated using Weblate (Catalan)
* New POT for text domain 'registration'.
* New POT for text domain 'network'.
* Translated using Weblate (Slovak)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Dutch)
* Translated using Weblate (Dutch)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* New POT for text domain 'storage'.
* New POT for text domain 'packager'.
* New POT for text domain 'ntp-client'.
* New POT for text domain 'network'.
* New POT for text domain 'installation'.
* Translated using Weblate (Finnish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Finnish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Catalan)
* Translated using Weblate (Dutch)
* Translated using Weblate (Czech)
* Translated using Weblate (Japanese)
* New POT for text domain 'update'.
* New POT for text domain 'storage'.
* New POT for text domain 'network'.
* New POT for text domain 'firstboot'.
* Translated using Weblate (Slovak)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Czech)
* Translated using Weblate (Slovak)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Dutch)
* Translated using Weblate (Japanese)
* Translated using Weblate (Danish)
* Translated using Weblate (Czech)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Catalan)
* New POT for text domain 'security'.
* New POT for text domain 'network'.
* New POT for text domain 'installation'.
* New POT for text domain 'control'.
* New POT for text domain 'add-on'.
* Translated using Weblate (German)

==== yast2-tune ====
Version update (4.2.0 -> 4.2.1)

- Place sysctl settings in /etc/sysctl.d/ (jsc#SLE-9077).
- 4.2.1

==== yast2-update ====
Version update (4.2.6 -> 4.2.7)

- At upgrade time, mount also /run and efivars in the target,
to fix hanging LVM tools (bsc#1148500)
- 4.2.7


N�����r��y隊Z)z{.���r�+�맲��r��z�^�ˬz��N�(�֜��^� ޭ隊Z)z{.���r�+��0�������Ǩ�
< Previous Next >
This Thread
  • No further messages